import pytest
import logging
from kubernetes import client, config, watch

DEFAULT_TEST_NAMESPACE = "ci"

def pytest_addoption(parser):
    parser.addoption(
        "--test-namespace", action="store", default=DEFAULT_TEST_NAMESPACE,
        help="The namespace to run infrastructure tests in. Default is 'ci', but should be autogenerated in pipeline based on $CI_JOB_ID"
    )

@pytest.fixture(scope="session", autouse=True)
def test_namespace(pytestconfig):
    test_namespace = pytestconfig.getoption("--test-namespace")
    logging.info("+++ Using test namespace: {}".format(test_namespace))
    return test_namespace